> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/ad-platforms/ingest-labs-url-tracking-parameters.md).

# Ingest Labs URL Tracking Parameters

### Google Ads Tracking Template

Ingest Labs uses a few custom tracking parameters to drive the link between Ad Logs and real-time transactions to provide accurate reporting. Please follow below instructions to add Ingest Labs URL tracking parameters in the **Facebook Ads** console, at the Ad level.

```
il_adp=google&il_cid={campaignid}&il_asid={adgroupid}&il_adid={creative}&il_kw={keyword}
```

### Facebook Ads Tracking Template

Ingest Labs uses a few custom tracking parameters to drive the link between Ad Logs and real-time transactions to provide accurate reporting. Please follow below instructions to add Ingest Labs URL tracking parameters in the **Facebook Ads** console, at the Ad level.

```
il_adp=fb&il_cid={{campaign.id}}&il_asid={{adset.id}}&il_adid={{ad.id}}&il_crid={{creative.id}}
```

### Tik Tok Ads Tracking Template

Ingest Labs uses a few custom tracking parameters to drive the link between Ad Logs and real-time transactions to provide accurate reporting. Please follow below instructions to add Ingest Labs URL tracking parameters in the **TikTok Ads** console, at the Ad level.

For upgraded Smart+:

```
il_adp=fb&il_cid=__CAMPAIGN_ID__&il_asid=__AID__&il_adid=__CID__&il_crid=__CID__
```

For traditional TikTok:

```
il_adp=fb&il_cid=__CAMPAIGN_ID__&il_asid=__AID__&il_adid=__ADID_V2__&il_crid=__CID__
```

### Reddit Ads Tracking Template

Ingest Labs uses a few custom tracking parameters to drive the link between Ad Logs and real-time transactions to provide accurate reporting. Please follow below instructions to add Ingest Labs URL tracking parameters in the **Reddit Ads** console, at the Ad level.

```
{landing_page_url}?il_adp=reddit&il_cid={{CAMPAIGN_ID}}&il_asid={{ADGROUP_ID}}&il_adid={{AD_ID}}&il_crid={{CREATIVE_ID}}
```

### OpenAI Ads Tracking Template

Ingest Labs uses a few custom tracking parameters to drive the link between Ad Logs and real-time transactions to provide accurate reporting. Please follow below instructions to add Ingest Labs URL tracking parameters in the **OpenAI Ads** console, at the Account/Campaign/Ad-group/Ad level.

```
il_adp=openai&il_cid={campaign_id}&il_asid={ad_group_id}&il_adid={ad_id}
```

### Quora Ads Tracking Template

Ingest Labs uses a few custom tracking parameters to drive the link between Ad Logs and real-time transactions to provide accurate reporting. Please follow below instructions to add Ingest Labs URL tracking parameters in the **OpenAI Ads** console, at the Account/Campaign/Ad-group/Ad level.

```
il_adp=quora&il_cid={campaign_id}&il_asid={ad_set_id}&il_adid={ad_id}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ingestlabs.com/ad-platforms/ingest-labs-url-tracking-parameters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
